Bug 77594 - Update port: devel/pear-PEAR
Summary: Update port: devel/pear-PEAR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-16 11:50 UTC by Antonio Carlos Venancio Junior
Modified: 2005-02-21 18:09 UTC (History)
0 users

See Also:


Attachments
file.diff (930 bytes, patch)
2005-02-16 11:50 UTC, Antonio Carlos Venancio Junior
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Carlos Venancio Junior 2005-02-16 11:50:15 UTC
+ fix PLIST (now conditionally removing leftover dirs)
Comment 1 Thierry Thomas freebsd_committer 2005-02-16 20:16:02 UTC
State Changed
From-To: open->feedback


This is not sufficient, after deinstalling all pear ports, 
it remains several files. E.g. after deinstalling pear-OLE-0.5: 

=== Checking filesystem state 
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled) 
1657600        8 drwxr-xr-x    3 root             wheel                 512 Feb 15 11:17 /usr/local/lib/php/pear 
1657601        8 drwxr-xr-x    2 root             wheel                 512 Feb 15 11:17 /usr/local/lib/php/pear/.registry 
1657606        8 -rw-r--r--    1 root             wheel                2421 Feb 15 11:17 /usr/local/lib/php/pear/.registry/ole.reg 
1657604        0 -rw-r--r--    1 root             wheel                   0 Feb 15 11:17 /usr/local/lib/php/pear/.lock 
1657605        8 -rw-r--r--    1 root             wheel                   6 Feb 15 11:17 /usr/local/lib/php/pear/.filemap 



Comment 2 Thierry Thomas freebsd_committer 2005-02-16 20:16:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll handle that.
Comment 3 Thierry Thomas freebsd_committer 2005-02-20 15:58:05 UTC
State Changed
From-To: feedback->open


Another related problem has been reported to me by Kris via 
pointyhat: 

the port devel/pear-HTML_Select_Common does not deinstall 
cleanly: 

=== Checking filesystem state 
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled) 
1045858        8 drwxr-xr-x    2 root             wheel                 512 Feb 20 02:04 usr/local/share/pear/HTML/Select 

Other ports with two subdirectory levels after CATEGORY might 
be affected. 

The following patch should fix it: 

--- pear-PEAR.diff begins here --- 
diff -urN devel/pear-PEAR.orig/Makefile.common devel/pear-PEAR/Makefile.common 
--- devel/pear-PEAR.orig/Makefile.common	Fri Feb 18 23:04:40 2005 
+++ devel/pear-PEAR/Makefile.common	Sun Feb 20 16:47:34 2005 
@@ -109,7 +109,7 @@ 
for file in ${DOCS}; do echo "%%PORTDOCS%%${LDOCSDIR}/$${file}"; done;  
for file in ${EXAMPLES}; do echo "%%PORTDOCS%%${LEXAMPLESDIR}/$${file}"; done;  
echo "${LPKGREGDIR}/package.xml";  
-	for d in ${FILES}; do echo $${d}; done | ${DIRFILTER} |  
+	for d in ${FILES} ${FILES:H}; do echo $${d}; done | ${DIRFILTER} |  
while read dir; do echo "@dirrm ${LINSTDIR}/$${dir}"; done;  
for d in ${TESTS}; do echo $${d}; done | ${DIRFILTER} |  
while read dir; do echo "@dirrm ${LTESTSDIR}/$${dir}"; done;  
diff -urN devel/pear-PEAR.orig/pkg-deinstall devel/pear-PEAR/pkg-deinstall 
--- devel/pear-PEAR.orig/pkg-deinstall	Mon Dec  6 16:30:58 2004 
+++ devel/pear-PEAR/pkg-deinstall	Sun Feb 20 15:00:56 2005 
@@ -13,7 +13,10 @@ 
PEAR=${PKG_PREFIX}/bin/pear 
PEAR2=${PKG_PREFIX}/bin/pear2 

-if [ ${PKG_NAME} = "pear-PEAR" ]; then 
+if [ ${PACKAGE} = "PEAR" ]		 
+|| [ ${PACKAGE} = "Archive_Tar" ]	 
+|| [ ${PACKAGE} = "Console_Getopt" ]	 
+|| [ ${PACKAGE} = "XML_RPC" ]; then 
PEAR_INSTALLER=${PEAR} 
else 
PEAR_INSTALLER=${PEAR2} 
--- pear-PEAR.diff ends here ---
Comment 4 Thierry Thomas freebsd_committer 2005-02-20 16:03:27 UTC
State Changed
From-To: open->feedback


Do you approve the previous patch?
Comment 5 Thierry Thomas freebsd_committer 2005-02-21 18:07:44 UTC
State Changed
From-To: feedback->closed


The previous patch has been committed with PR ports/77671, 
and you have approved the second one, thanks!